curl --request POST \
--url https://api.getcargo.io/v1/expression/recipes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"category": "other",
"isPublic": true,
"placeholders": [
{
"slug": "<string>",
"name": "<string>",
"kind": "string",
"description": "<string>"
}
],
"expression": "<string>",
"kind": "jsExpression",
"instructTo": "ai"
}
'{}Create a new expression recipe
curl --request POST \
--url https://api.getcargo.io/v1/expression/recipes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"category": "other",
"isPublic": true,
"placeholders": [
{
"slug": "<string>",
"name": "<string>",
"kind": "string",
"description": "<string>"
}
],
"expression": "<string>",
"kind": "jsExpression",
"instructTo": "ai"
}
'{}Documentation Index
Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Request body schema.
Recipe name.
Recipe description.
Recipe category.
other, classification, cleaning, marketing, sales, event, copywriting Whether the recipe is public.
Recipe placeholders.
Show child attributes
Recipe expression.
Expression kind.
jsExpression, templateExpression Instruction target.
ai, none Successful response
The response is of type object.
Was this page helpful?